/**
* Copyright (c) 2018 The Nuinalp Authors. All rights reserved.
* Use of this source code is governed by a BSD-style license that can be
* found in the LICENSE file.
*/

@each $abbrevSize, $size in $sizes {
  .nv-w-#{$abbrevSize} { width: $size !important; }
  .nv-h-#{$abbrevSize} { height: $size !important; }
}

.nv-mw-100 { max-width: 100% !important; }
.nv-mh-100 { max-height: 100% !important; }

// 
// Relative to the viewport.
// 

.nv-min-vw-100 { min-width: 100vw !important; }
.nv-min-vh-100 { min-height: 100vh !important; }
.nv-vw-100 { width: 100vw !important; }
.nv-vh-100 { height: 100vh !important; }
